# WSABuilds &nbsp; &nbsp; <img src="https://img.shields.io/github/downloads/MustardChef/WSABuilds/total?label=Total%20Downloads&style=for-the-badge"/> &nbsp; 

# WSA Sideloader Usage Guide
#### With WSA Sideloader, you can install any APK file onto WSA, as well as XAPK, APKM and APKS files.
#### This guide will show you how to use it.

<br />

<br />

## How to Download and Install WSA-Sideloader

#### You can download WSA Sideloader in 3 different ways:
Operating System|Downloads
|---------|---------|
|<img src="https://upload.wikimedia.org/wikipedia/commons/e/e6/Windows_11_logo.svg" style="width: 150px;"/><br /><img src="https://upload.wikimedia.org/wikipedia/commons/0/05/Windows_10_Logo.svg" style="width: 150px;"/> |[<img src="https://user-images.githubusercontent.com/49786146/159123331-729ae9f2-4cf9-439b-8515-16a4ef991089.png" style="width: 200px;"/>](https://winstall.app/apps/infinitepower18.WSASideloader)|
|<img src="https://upload.wikimedia.org/wikipedia/commons/e/e6/Windows_11_logo.svg" style="width: 150px;"/><br /><img src="https://upload.wikimedia.org/wikipedia/commons/0/05/Windows_10_Logo.svg" style="width: 150px;"/> |[<img src="https://user-images.githubusercontent.com/68516357/226141505-c93328f9-d6ae-4838-b080-85b073bfa1e0.png" style="width: 200px;"/>](https://github.com/infinitepower18/WSA-Sideloader/releases/latest)|
|<img src="https://upload.wikimedia.org/wikipedia/commons/e/e6/Windows_11_logo.svg" style="width: 150px;"/>|[<img src="https://get.microsoft.com/images/en-us%20dark.svg" style="width: 200px;"/>](https://apps.microsoft.com/store/detail/9NMFSJB25QJR?launch=true&cid=wsabuilds&mode=mini)|

## Setup

***Step 1.  Once installed, you should see this screen:***

<img width="311" alt="image" src="https://github.com/infinitepower18/WSA-Sideloader/assets/44692189/8f0681b8-5597-4719-86d3-405e8d132722">

> [!NOTE]
> If you get a message that says WSA is not installed, check that you have downloaded and installed WSA correctly as per the WSABuilds instructions.

<br />

***Step 2. Next, open WSA Settings from the start menu or by typing wsa-settings:// in your browser's address bar, select Developer and enable Developer mode.***

![image](https://user-images.githubusercontent.com/44692189/226059697-9d54c122-8674-46f4-871a-4937805498ef.png)

<br />

***Step 3. Now, you can click the Browse button to select your APK file. You can also double click a file in File Explorer to automatically open WSA Sideloader with the APK file already selected.***

<img width="1222" alt="Screenshot" src="https://github.com/MustardChef/WSABuilds/assets/44692189/ae20582f-6e24-412a-a1da-cb9a79f17ad0">

<br />

***Step 4. The first time you install an APK, it will ask to allow ADB debugging. Allow it and attempt the installation again. Check the always allow box if you don't want to manually accept the permission every time you install an app.***

<img width="539" alt="image" src="https://github.com/infinitepower18/WSA-Sideloader/assets/44692189/b3e17d61-cd8e-4347-a674-4f738bc24fc1">

<br />

***Step 5. It should take a few seconds to install the APK. Once it says `The application has been successfully installed`, you can click Open app. Bundle files may take longer depending on the file size.***

> [!NOTE] 
> If WSA is off, WSA Sideloader will start it for you. After 30 seconds, the installation will automatically continue.

<img width="314" alt="image" src="https://user-images.githubusercontent.com/44692189/226061387-f0126c32-3a2f-49c4-8ecf-83ad5809ab38.png">

<br />

***You can find all your installed WSA apps on the start menu, as well as via the "Installed apps" button in WSA Sideloader:***

<img width="962" alt="image" src="https://user-images.githubusercontent.com/44692189/226061500-c210ded3-5342-483d-b4b8-c4b683b138a7.png">

## Updating WSA Sideloader
From time to time, there may be updates that improve the reliability of the app, as well as ensuring it works properly with future releases of WSA. 

Therefore, it's highly recommended you keep it up to date. 

- If you installed WSA Sideloader using MS Store, you can update the app via the store. 
- If you installed through other methods, the sideloader will notify you of an update the next time you launch it.

## Troubleshooting
If you get an error like the one below, check that you have allowed the ADB authorization and enabled Developer Mode. Also try disabling and enabling USB debugging under manage developer settings as that can sometimes fix issues with the ADB connection.

<img width="446" alt="image" src="https://github.com/MustardChef/WSABuilds/assets/44692189/e4c65a16-9cca-465f-bfa5-9ea2d8a1b7e3">

If you get a message saying `No connection could be made because the target machine actively refused it`, follow [this guide](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/TargetMachineActivelyRefusedConnection.md)

If you continue to face problems, make a note of the error info displayed in WSA Sideloader and join the Discord server below for further assistance.

[<img src="https://invidget.switchblade.xyz/2thee7zzHZ" style="width: 400px;"/>](https://discord.gg/2thee7zzHZ)

## Credits

#### Special Thanks to infinitepower18
#### Feel free to Star the [WSA-Sideloader Github Repo](https://github.com/infinitepower18/WSA-Sideloader/) or leave a review on the [Microsoft Store Page](https://www.microsoft.com/store/apps/9NMFSJB25QJR), if you found the app useful

